# -*- coding: utf-8 -*-
"""
TP C10.1 - Sinusmatic
"""

## Bibliothèques
import numpy as np
import matplotlib.pyplot as pl

## Constantes et Paramètres
# On indique le nom du fichier. A adapter en fonction du nom que vous avez
# donné à votre fichier de résultat Solidworks
NomFichier="Sinusmatic.txt"

#initialisation des AngleEntree et AngleBarriere
AngleEntree=[]
AngleBarriere=[]

## PROGRAMME PRINCIPAL
""" Récupération des données solidworks """
# On ouvre le fichier en lecture (read) et on le nomme fichier
with open(NomFichier,'r') as fichier:
    # on lit les 3 lignes d'entête sans rien en faire
    for i in range(3):
        fichier.readline()
    # on enregistre les valeurs des colonnes dans deux listes
    for ligne in fichier :
        # on enlève le caractere de fin de ligne \n
        Ligne1=ligne.rstrip('\n')
        # on découpe à chaque espace et on enregistre ici les 2 chaines de
        # caractère
        Ae,Ab=Ligne1.split()
        # on converti les 2 chaines en flottants et on les stock dans les listes
        AngleEntree.append(float(Ae))
        AngleBarriere.append(float(Ab))

"""" Tracé des courbes """
# tracé proprement dit : plot(abscisses, ordonnées, label="nom de la courbe")
pl.plot(AngleEntree,AngleBarriere,label='Solidworks')
# pour afficher une grille
pl.grid()
# pour nommer l'axe des abscisses
# A NOTER : le r avant la chaine de caractère me permet d'utiliser
# des notations mathématiques de Latex
pl.xlabel(r"Angle plateau $\theta_m$ (rad)")
# pour nommer l'axe des ordonnées
pl.ylabel(r"Angle Barrière $\theta_b$(rad)")
# pour afficher les noms des courbes
pl.legend()
pl.show()
